Subject: [TICTOC] New Liaison Statement, "LS on discussion on communication from IEEE1588 on IEEE 1588 YANG models"

From: Liaison Statement Management Tool <[email-masked]>
Date: Wed, 23 Sep 2015 12:58:55 -0700

Title: LS on discussion on communication from IEEE1588 on IEEE 1588 YANG models
Submission Date: 2015-09-23
URL of the IETF Web page: https://datatracker.ietf.org/liaison/1429/

From: ITU-T SG 15  (Hiroshi Ota <[email-masked]>)
To: Timing over IP Connection and Transfer of Clock (Yaakov Stein <[email-masked]>, Karen O'Donoghue <[email-masked]>)
Cc: Brian Haberman <[email-masked]>,Terry Manderson <[email-masked]>,Timing over IP Connection and Transfer of Clock Discussion List <[email-masked]>,John Drake <[email-masked]>,Scott Mansfield <[email-masked]>
Response Contact: [email-masked]
Technical Contact: [email-masked]
Purpose: For information

Body: ITU-T Q13/15 discussed at the Pisa 14-18 September 2015 interim meeting the communication from the P1588 WG on IEEE 1588 YANG models (see Appendix I). 

During the discussion some operators mentioned that SNMP is often used in the Telecom environment; nonetheless, irrespective of the protocol, Q13/15 considers it important that there is no duplication of the work in the data modelling area. 

Concerning the specific work on the IEEE1588 YANG models it seems important that IEEE1588 will play a key role in this work involving all concerned SDOs and the relevant contributors. 

In particular Q13/15 would appreciate being kept involved in this work. 

We look forward to continued collaboration with the IEEE 1588 committee.

Appendix I - Email from P1588 Co-chair on IEEE 1588 YANG models

Hello Everyone, 

I am looking for your help in creating a single, comprehensive YANG data model for PTP. 

The P1588 Working Group has been struggling to develop a definitive SNMP compatible MIB suitable for all PTP profiles and applications. A large part of our difficulties lie in the fact that we have started this initiative too late. Several profile specific PTP MIBs have already been defined along with numerous proprietary MIBs. As a result many of the people most qualified to help with the effort are reluctant to redo what they have already completed. Even if the P1588 Working Group ultimately publishes a standard MIB for PTP, it is not clear that equipment manufacturers and profile defining standards group will abandon the path they have already gone down. 

The end result is that network operators have to integrate many MIBs to manage PTP devices from multiple vendors. This is an unnecessary waste of operators valuable time. The lack of coordination among standards groups is also something of an embarrassment for those of us involved with these committees. 

We can do better with YANG models. We should start now before there are many of them defined and implemented. Therefore I recommend that we create an informal group to coordinate the development of a single general purpose PTP YANG data model. 

I imagine that the YANG model would be defined in one standards body and referenced in the others, but I am eager to hear your ideas if you think otherwise. The groups with members included in this email are (in no particular order):

−ITU-T Q13/15 
−ΙTU-T Q14/15 
−IETF-TICTOC 
−IEEE 802.1TSN 
−IEEE C37.238 
−P1588 IEEE 1588 

I think it is less important to choose the optimum standards body for this task than it is to agree to work together and do the right thing with respect to YANG. Here is a link to a draft 
YANG data model from the IETF which we could consider as a starting point. 

Please let us know what you think about PTP and YANG models. 
-- 
Doug Arnold 
P1588 Co-chair
Attachments:

    LS on discussion on communication from IEEE1588 on IEEE 1588 YANG models
    https://datatracker.ietf.org/documents/LIAISON/liaison-2015-09-23-itu-t-sg-15-tictoc-ls-on-discussion-on-communication-from-ieee1588-on-ieee-1588-yang-models-attachment-1.pdf